Ensure the Webtester infrastructure tests for incomplete system metadata

2015-06-02 18:21 - Mark Servilla

Status: Closed Start date: 2015-06-02

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Recently, it was found that the CN infrastructure would allow partial synchronization of an object when the object's system metadata

was incomplete (see #7129 and #7130). The Webtester should test for incomplete system metadata received from a Member Node.

Related issues:

Related to CN REST - Bug #7129: Synchronization allows objects with incomplet... Closed 2015-05-26

Related to CN REST - Bug #7130: Metacat allows partial storage of objects whe... Closed 2015-05-26

History

#1 - 2015-06-02 18:21 - Mark Servilla

- Related to Bug #7129: Synchronization allows objects with incomplete system metadata to proceed into system added

#2 - 2015-06-02 18:21 - Mark Servilla

- Related to Bug #7130: Metacat allows partial storage of objects when the object's system metadata is incomplete added

#3 - 2015-06-02 20:14 - Dave Vieglais

Note also that some of the evaluation needs to be programmatic rather than relying on schema validation. The dateUploaded element is a good

example - it is optional according to the schema, but required for metadata coming from a Member Node.

#4 - 2018-01-09 02:30 - Dave Vieglais

- % Done changed from 0 to 100

- Status changed from New to Closed
